# docker events


Get real time events from the server

### Aliases

`docker system events`, `docker events`

### Options

| Name             | Type     | Default | Description                                                                                                                                                                                                                                                        |
|:-----------------|:---------|:--------|:-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `-f`, `--filter` | `filter` |         | Filter output based on conditions provided                                                                                                                                                                                                                         |
| `--format`       | `string` |         | Format output using a custom template:
'json':             Print in JSON format
'TEMPLATE':         Print output using the given Go template.
Refer to https://docs.docker.com/go/formatting/ for more information about formatting output with templates |
| `--since`        | `string` |         | Show all events created since timestamp                                                                                                                                                                                                                            |
| `--until`        | `string` |         | Stream events until this timestamp                                                                                                                                                                                                                                 |




